Package: groovy.lang

## [Java] Class ExpandoMetaProperty

- groovy.lang.ExpandoMetaClass.ExpandoMetaProperty

- Instances of this class are returned when using the << left shift operator.

  Example:

  metaClass.myMethod << { String args -> }

  This allows callbacks to the ExpandoMetaClass for registering appending methods

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `isStatic` |
    `protected String` | `propertyName` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `property`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected ExpandoMetaClass.ExpandoMetaProperty (String name)`
    `protected ExpandoMetaClass.ExpandoMetaProperty (String name, boolean isStatic)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `getProperty(String property)`
    `` | `String` | `getPropertyName()`
    `` | `boolean` | `isStatic()`
    `` | `Object` | `leftShift(Object arg)`
    `` | `void` | `setProperty(String property, Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyObjectSupport` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected boolean isStatic

    - #### protected String propertyName

  - ### Property Detail

    - #### Object property

  - ### Constructor Detail

    - #### protected ExpandoMetaClass.ExpandoMetaProperty(String name)

    - #### protected ExpandoMetaClass.ExpandoMetaProperty(String name, boolean isStatic)

  - ### Method Detail

    - #### public Object getProperty(String property)

    - #### public String getPropertyName()

    - #### public boolean isStatic()

    - #### public Object leftShift(Object arg)

    - #### public void setProperty(String property, Object newValue)